﻿Type=Class
Version=4.2
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
' 
Sub Class_Globals
	Private ws As WebSocket
	Private btncraneup As JQueryElement		'Put the crane up
	Private btncranestop As JQueryElement	'Stop the crane
	Private btncranedown As JQueryElement	'Put the crane down
	Private btnabout As JQueryElement		'Alert to show info about this app
	Private talogging As JQueryElement		'TextArea for logging
	Public	lblcraneangle As JQueryElement		'Keep the current crane position
End Sub

Public Sub Initialize
	
End Sub

' The user opens via browser <URL>:51042. The html file index.html is displayed.
Private Sub WebSocket_Connected (WebSocket1 As WebSocket)
	Log("WebSocket_Connected :: Start")
	ws = WebSocket1
	talogging.SetText("Starting" & CRLF)
	Log("WebSocket_Connected :: End")
End Sub

'Not used
Private Sub WebSocket_Disconnected

End Sub

'Handle click on the button with id btnAddNewButton - Note in the index.html all id's are in lowercase
Sub btnAbout_click(params As Map)
	Log("btnabout_click :: Start = " & params.Size)
	'In index.html a div with id btnabout is defined. This is used to display the about info.
	ws.Alert("B4R/B4J HowTo Little Crane" & CRLF & "by Robert W.B. Linn, Pinneberg, Germany" & CRLF & "www.rwblinn.de")
	Log("btnnabout_click :: End")
End Sub

Sub btnCraneUp_click(params As Map)
	Main.AStream_WriteData("1")
	Dim s As String = talogging.GetText.Value
	s = s & DateTime.Time(DateTime.Now) & ": UP" & CRLF
	talogging.SetText(s)
	lblcraneangle.SetText(Main.CraneAngle)
	ws.Flush
End Sub

Sub btnCraneDown_click(params As Map)
	Main.AStream_WriteData("2")
	Dim s As String = talogging.GetText.Value
	s = s & DateTime.Time(DateTime.Now) & ": DOWN" & CRLF
	talogging.SetText(s)
	lblcraneangle.SetText(Main.CraneAngle)
	ws.Flush
End Sub

Public Sub UpdateCranePosition
	lblcraneangle.SetText(Main.CraneAngle)
	ws.Flush
End Sub
